<script setup lang="ts">
import { useBranchStore } from '@/Branch/stores/branch'

const branchStore = useBranchStore()
</script>

<template>
  <v-dialog v-model:model-value="branchStore.dialogState">
    <v-card class="pa-5" :title="branchStore.titleDialog">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="12">
              <v-text-field v-model="branchStore.branchItem.name" label="ชื่อสาขา"> </v-text-field>
            </v-col>
            <v-col cols="12">
              <v-text-field v-model="branchStore.branchItem.location" label="ที่ตั้ง">
              </v-text-field>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="branchStore.closeDialog()"> Cancel </v-btn>
          <v-btn @click="branchStore.save()"> Save </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>

<style scoped></style>
